aboutsummaryrefslogtreecommitdiff
path: root/Mk/Scripts
diff options
context:
space:
mode:
authorMathieu Arnold <mat@FreeBSD.org>2020-11-11 13:30:03 +0000
committerMathieu Arnold <mat@FreeBSD.org>2020-11-11 13:30:03 +0000
commit47b1e9c0c27eb7f248e2e146ac5996222b3731d8 (patch)
tree0e5c931b94f63eb4712fdfb84548815d3ea1e419 /Mk/Scripts
parentf916081e1cf3cf8f63d7d2e708353f6a9303401c (diff)
downloadports-47b1e9c0c27eb7f248e2e146ac5996222b3731d8.tar.gz
ports-47b1e9c0c27eb7f248e2e146ac5996222b3731d8.zip
Ignore grep return value.
Most of the time, we use grep in a test, where its return value is important. In this instance, it is only used for filtering, and we do not care about its return value, so ignore it. PR: 250723 Exp-run by: antoine Differential Revision: https://reviews.freebsd.org/D27007
Notes
Notes: svn path=/head/; revision=554894
Diffstat (limited to 'Mk/Scripts')
-rw-r--r--Mk/Scripts/create-manifest.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/Mk/Scripts/create-manifest.sh b/Mk/Scripts/create-manifest.sh
index 3221e21d9d33..5df9368a1945 100644
--- a/Mk/Scripts/create-manifest.sh
+++ b/Mk/Scripts/create-manifest.sh
@@ -63,7 +63,8 @@ EOT
# Then the key/values sections
echo "deps: { "
-eval ${dp_ACTUAL_PACKAGE_DEPENDS} | grep -v -E ${dp_PKG_IGNORE_DEPENDS} | sort -u
+# Ignore grep's return value.
+eval ${dp_ACTUAL_PACKAGE_DEPENDS} | { grep -v -E ${dp_PKG_IGNORE_DEPENDS} || :; } | sort -u
echo "}"
echo "options: {"